import { ViewStyle, TextStyle, ImageStyle, RegisteredStyle } from 'react-native';
export interface StringifiedStyles {
    fontSize?: string | number;
    letterSpacing?: string | number;
    lineHeight?: string | number;
    textShadowRadius?: string | number;
    borderBottomLeftRadius?: string | number;
    borderBottomRightRadius?: string | number;
    borderTopLeftRadius?: string | number;
    borderTopRightRadius?: string | number;
    borderBottomWidth?: string | number;
    borderTopWidth?: string | number;
    borderRightWidth?: string | number;
    borderLeftWidth?: string | number;
    borderRadius?: string | number;
    shadowRadius?: string | number;
    borderWidth?: string | number;
    aspectRatio?: string | number;
    rotation?: string | number;
    scaleX?: string | number;
    scaleY?: string | number;
    translateX?: string | number;
    translateY?: string | number;
}
declare type NamedStyles<T> = {
    [P in keyof T]: ViewStyle | TextStyle | ImageStyle | StringifiedStyles;
};
declare const scaledSheetCreator: (scale: Function, verticalScale: Function, moderateScale: Function, moderateVerticalScale: Function) => {
    create: <T extends NamedStyles<T> | NamedStyles<any>>(stylesObject: T) => { [P in keyof T]: RegisteredStyle<T[P] & Record<Extract<keyof T[P], keyof StringifiedStyles>, number>>; };
};
export default scaledSheetCreator;
