"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mvs = exports.ms = exports.vs = exports.s = exports.moderateVerticalScale = exports.moderateScale = exports.verticalScale = exports.scale = void 0;
const react_native_1 = require("react-native");
const _env_1 = require("@env");
const { width, height } = react_native_1.Dimensions.get('window');
const [shortDimension, longDimension] = width < height ? [width, height] : [height, width];
//Default guideline sizes are based on standard ~5" screen mobile device
const guidelineBaseWidth = _env_1.SIZE_MATTERS_BASE_WIDTH || 350;
const guidelineBaseHeight = _env_1.SIZE_MATTERS_BASE_HEIGHT || 680;
const scale = (size) => shortDimension / guidelineBaseWidth * size;
exports.scale = scale;
const verticalScale = (size) => longDimension / guidelineBaseHeight * size;
exports.verticalScale = verticalScale;
const moderateScale = (size, factor = 0.5) => size + (exports.scale(size) - size) * factor;
exports.moderateScale = moderateScale;
const moderateVerticalScale = (size, factor = 0.5) => size + (exports.verticalScale(size) - size) * factor;
exports.moderateVerticalScale = moderateVerticalScale;
exports.s = exports.scale;
exports.vs = exports.verticalScale;
exports.ms = exports.moderateScale;
exports.mvs = exports.moderateVerticalScale;
